hyperball(6)

NAME
hyperball - 2d projection of a 4d object

SYNOPSIS
hyperball [-display host:display.screen] [-foreground color] [-background color] [-xy float] [-xz float] [-yz float] [-xw float] [-yw float] [-zw float] [-delay usecs] [-window] [-root] [-mono] [-install] [-visual visual]

DESCRIPTION
The hyperball program displays a wireframe projection of a hyperball which is rotating at user-specified rates around any or all of its four axes.

OPTIONS
hyperball accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-mono
    If on a color display, pretend we're on a monochrome display.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-delay microseconds
    How much of a delay should be introduced between steps of the animation. Default 20000, or about 0.02 seconds.

-xw float

-xy float

-xz float

-yw float

-yz float

-zw float
    The amount that the ball should be rotated around the specified axis at each frame of the animation, expressed in 0.001 radians. These should be small floating-point values (less than 50 works best.) Default: xy=3, xz=5, yw=10.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2000 by Joe Keane. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Joe Keane <jgk@jgk.org>